import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimCreateManyAppointmentInputObjectSchema as ClaimCreateManyAppointmentInputObjectSchema } from './ClaimCreateManyAppointmentInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ClaimCreateManyAppointmentInputObjectSchema), z.lazy(() => ClaimCreateManyAppointmentInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ClaimCreateManyAppointmentInputEnvelopeObjectSchema: z.ZodType<Prisma.ClaimCreateManyAppointmentInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ClaimCreateManyAppointmentInputEnvelope>;
export const ClaimCreateManyAppointmentInputEnvelopeObjectZodSchema = makeSchema();
